### File

`packages/components/layout/eui-toolbar/toolbar-menu/toolbar-menu.component.ts`

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-toolbar-menu`
imports | `EUI_ICON` `RouterLink` `RouterLinkActive` `TranslateModule`
templateUrl | `./toolbar-menu.component.html`
styleUrl | `./toolbar-menu.component.scss`

### Index

###### Properties
asService isdropdownOpen
###### Methods
onKeyDown onLinkClick
###### Inputs
items
###### Outputs
menuItemClick
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor()`

### Inputs

items
Type : `Item[]`

### Outputs

menuItemClick
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

onKeyDown
`onKeyDown(event: KeyboardEvent, link: ToolbarItem)`
Parameters :
Name | Type | Optional
event | `KeyboardEvent` | No
link | `ToolbarItem` | No
Returns : `void`

onLinkClick
`onLinkClick(link: ToolbarItem)`
Parameters :
Name | Type | Optional
link | `ToolbarItem` | No
Returns : `void`

### Properties

asService
Default value : `inject(EuiAppShellService)`

isdropdownOpen
Default value : `false`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""